petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSectionGetStorageSize

Return the size of an array or local Vec capable of holding all the degrees of freedom.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionGetStorageSize(PetscSection s, PetscInt *size)

Not collective

### Input Parameters

| s | - the PetscSection
| size | - the allocated size

### Output Parameter

size -the size of an array which can hold all the dofs

### See Also

PetscSectionGetOffset(), PetscSectionGetConstrainedStorageSize(), PetscSectionCreate()

Level:intermediate
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages